Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		dboxfe
Version:	0.1.3
Release:	1
License:	GNU/GPL 
URL:		http://chmaster.freeforge.net/dboxfe-project.htm
Group:		Utilities
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	DBoxFE is a linux frontend for DOSBox.
Requires:	dosbox libpng libjpeg kdelibs qt
BuildRequires:	libpng-devel libjpeg-devel
BuildRequires:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
DBoxFE is a linux frontend for DOSBox.
With DBoxFE you can create and manage your configuration files very easily,
It's also possible to create gameprofiles to generate different configuration files.
Since recently you can load the game automatically.
Also you can add your favourite game in the list and you can start it immediately.
For more details see: http://chmaster.freeforge.net/dboxfe-project.htm

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -n %{name}-%{version}

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
--with-qt-dir=/usr/lib/qt-3.3 \
--with-qt-includes=/usr/lib/qt-3.3/include \
--with-qt-libs=/usr/lib/qt-3.3/lib
make

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 bin/%{name} \
	%{buildroot}%{_bindir}

# icons
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{name}
Icon=%{name}.png
Terminal=false
Name=%{name}
GenericName=Frontend for DOSBox
Comment=%{summary}
Categories=Emulator;
EOF

%files
%defattr(-,root,root)
%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.3-1
- Version update
- rebuild against kdelibs3 , kdebase3 renamed packages
* Mon Aug 15 2005 Christian Wasem <wasem@ccux-linux.de> 0.0.5-1
- Update to Version 0.0.5
